# (Explorer Workshop)
# Copyright: 2024 Bradan Lane STUDIO
#
# Open Source License: MIT

'''
This Python program is a sample from the 'Python' workshop

Implementation Notes
--------------------
**Hardware:**
    * computer

**Software and Dependencies:**
    * Python 3.x
    * Thonny 4.x IDE

**Open Source Repository:**
    * GitLab: https://gitlab.com/bradanlane/exp_tutorial
    
'''

import math

print("Hello World!")

def circle_point(angle, radius=100):
    '''
        Finding a point on the circle given an angle and radius
        the angle is given in degrees
        
        Returns a tuple of the x and y coordinates
    '''
    n = math.radians(angle)
    return (radius * math.cos(n)), (radius * math.sin(n))

for a in range(180):
    x, y = circle_point(a)  # we let the function parameter 'radius' take its default
    print(f"circle angle {a:3d} results in ({x: >+9.4f}, {y: >+9.4f})")

print("Good Bye")
