# (Explorer Workshop)
# Copyright: 2024 Bradan Lane STUDIO
#
# Open Source License: MIT

'''
This Python program is a sample from the 'Python' workshop

Implementation Notes
--------------------
**Hardware:**
    * computer

**Software and Dependencies:**
    * Python 3.x
    * Thonny 4.x IDE

**Open Source Repository:**
    * GitLab: https://gitlab.com/bradanlane/exp_tutorial
    
'''

print("Hello World!")

counter1 = 1
counter2 = 1
counter3 = 1
selector = 1

while True:
    # do repetitive stuff here
    print(f"Selector = {selector:02d}")
    
    print(f"1st Counter = {counter1:02d}", end=" ")
    # print a bunch of dots
    for i in range(counter1):
        print(".", end="")
    print()   # print a line break
    counter1 += 1
    if selector % 2 == 0:
        print(f"2nd Counter = {counter2:02d}", end=" ")
        # print a bunch of dots
        for i in range(counter2):
            print(".", end="")
        print()   # print a line break
        counter2 += 1
    if selector % 3 == 0:
        print(f"3rd Counter = {counter3:02d}", end=" ")
        # print a bunch of dots
        for i in range(counter3):
            print(".", end="")
        print()   # print a line break
        counter3 += 1

    selector += 1
    print()   # print a line break
    
    if not (selector % 40):
        # end after 40
        break

print("Good Bye")
