# (Explorer Workshop)
# Copyright: 2024 Bradan Lane STUDIO
#
# Open Source License: MIT

'''
This Python program is a sample from the 'Python' workshop

Implementation Notes
--------------------
**Hardware:**
    * computer

**Software and Dependencies:**
    * Python 3.x
    * Thonny 4.x IDE

**Open Source Repository:**
    * GitLab: https://gitlab.com/bradanlane/exp_tutorial
    
'''

import argparse

def main():
    parser = argparse.ArgumentParser(description='Command Line Example')
    parser.add_argument('-n', '--name', type=str, help='Your name')
    parser.add_argument('-m', '--greeting', type=str, help='A greeting')
    parser.add_argument('-a', '--age', type=int, help='Your favorite age')
    
    args = parser.parse_args()
    
    if not args.name or not args.message or not args.age:
        parser.print_help()
        return
    
    print(f"{args.message} {args.name}! You want to be {args.age} years old.")

if __name__ == '__main__':
    main()
